from Tix import *
import string, sys, tkSimpleDialog, tkFileDialog

class DlgDecryption(tkSimpleDialog.Dialog):
    def __init__(self, parent, Priv):
        self.Priv = StringVar()
        if len(Priv) > 0:
            self.Priv.set( Priv)
        self.File = StringVar()
        self.success = 0
        tkSimpleDialog.Dialog.__init__(self,parent, 'IDBES-Decryption')
    # __init__()

    
    def apply(self):
        self.success = 1
    # apply()


    def validate(self):
        ok = (len(self.Priv.get()) > 0) and (len(self.File.get()) > 0)
        return ok
    # validate()


    def body(self, master):
        Label( master, text='Private Key: ', anchor=E).grid(row=0)
        self.e = Entry(master, textvariable= self.Priv,width=50).grid(row=0, column=1)
        Label( master, text='File: ', anchor=E, width=8).grid(row=1)
        Entry( master, textvariable= self.File, width=50).grid(row=1, column=1)
        Button(master, text=' ... ',   command= self.BtnFileClick,    width=6).grid(row=1, column=2)
        
        return self.e
    # body()


    def BtnFileClick(self):
        p= self.File.get()
        if p== '':
            p='~'
        t= tkFileDialog.askopenfilename(filetypes=[("mode substraction","*.0"),("mode addition","*.1")])
        self.File.set(t)
    # BtnFileClick()

if __name__== "__main__":
    root= Tk()
    Button(root,text="Quit", command=root.quit).pack()
    dlg = DlgDecryption(root)
    root.mainloop()
    
