from Tix import *
import string, sys, tkSimpleDialog, ConfigParser, tkFileDialog, tkMessageBox

class DlgEncryption(tkSimpleDialog.Dialog):
    def __init__(self, parent):
        self.Recipient= StringVar()
        self.File  = StringVar()
        self.success = 0
        tkSimpleDialog.Dialog.__init__(self,parent, 'IDBES-Encryption')
    # __init__()

    
    def apply(self):
        self.success = 1
    # apply()


    def validate(self):
        ok = (len(self.Recipient.get()) > 0) and (len(self.File.get()) > 0)
        return ok
    # validate()


    def body(self, master):
        Label( master, text='Recipient: ', anchor=E).grid(row=0)
        self.e = Entry(master, textvariable= self.Recipient, width=50).grid(row=0, column=1)
        Label( master, text='File: ', anchor=E, width=8).grid(row=1)
        Entry( master, textvariable= self.File, width=50).grid(row=1, column=1)
        Button(master, text=' ... ',   command= self.BtnFileClick,    width=6).grid(row=1, column=2)

        return self.e
    # body()


    def BtnFileClick(self):
        p= self.File.get()
        if p== '':
            p='~'
        t= tkFileDialog.askopenfilename(filetypes=[("all files","*")])
        self.File.set(t)
    # BtnFileClick()


if __name__== "__main__":
    root= Tk()
    Button(root,text="Quit", command=root.quit).pack()
    dlg = DlgEncryption(root)
    root.mainloop()
    
