/* Pfad anpassen ! */
lib = "~lf/src/PariGP/IDBES/libIDBES.so";

install(initKGA,       "v", IDBES_InitKGA    ,lib);
install(destroyKGA,    "v", IDBES_DestroyKGA ,lib);

install(genPubKeyFor,  "r", IDBES_PubKey     ,lib);
install(genPrivKeyFor, "r", IDBES_PrivKey    ,lib);

install(encrypt, "vLrrr", IDBES_encrypt, lib);
install(decrypt, "vrrr",  IDBES_decrypt, lib);


addhelp(IDBES_InitKGA, "Setup for the KGA's parameters. Call this first.");
addhelp(IDBES_DestroyKGA, "Cleans up KGA's memory.");

addhelp(IDBES_PubKey,  "IDBES_PubKey(ID): Calculates the Public Key for an ID");
addhelp(IDBES_PrivKey, "IDBES_PrivKey(ID): Calculates the Private Key for an ID");

addhelp(IDBES_encrypt, "IDBES_encrypt(mode, ID, inFileName, outFileName): Encrypts inFileName, writes to outFileName. ID is the ID of the Receiver. mode is either 0 or 1. ");
addhelp(IDBES_decrypt, "IDBES_decrypt(PrivKey, inFileName, outFileName): Decrypts the file inFileName, writes to outFileName. The private key PrivKey is required");
